#include "component.h"
#include "game_object.h"
#include "component/transform.h"
namespace engineapi {
	Component::Component()
	{
	}
	Component::~Component()
	{
	}
	Transform* Component::GetTransform()
	{
		return mOwner->GetComponent<Transform>();
	}
}
